package org.jboss.wikitransform.docbook;

import org.htmlparser.Node;
import org.htmlparser.NodeFilter;
import org.htmlparser.Tag;

/**
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Revision: 1 $
 */
public class TagNamesFilter implements NodeFilter
{
   private String[] names;

   public TagNamesFilter(String... names)
   {
      this.names = names;
   }

   public boolean accept(Node node)
   {
      if (!(node instanceof Tag)) return false;
      Tag tag = (Tag) node;
      for (String name : names)
      {
         if (name.equalsIgnoreCase(tag.getTagName())) return true;
      }

      return false;
   }
}
